import { defineConfig } from 'vite'
import { svelte } from '@sveltejs/vite-plugin-svelte'
import path from 'path'
// https://vitejs.dev/config/
export default defineConfig({
  plugins: [svelte()],
  root: 'js',
  build: {
    // generate manifest.json in outDir

    outDir: '../dist',
    emptyOutDir: true,
    manifest: true,
    rollupOptions: {
      // overwrite default .html entry
      input: path.resolve(__dirname, 'js/main.js')
    },


  },
})
